Loading...
Searching...
No Matches
QGpgME::QGpgMEKeyListJob Class Reference
Inheritance diagram for QGpgME::QGpgMEKeyListJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEKeyListJob:
[legend]

## Public Member Functions

| QGpgMEKeyListJob (GpgME::Context *context)
GpgME::Error | start (const QStringList &patterns, bool secretOnly) override
GpgME::KeyListResult | exec (const QStringList &patterns, bool secretOnly, std::vector< GpgME::Key > &keys) override
void | addMode (GpgME::KeyListMode mode) override
void | resultHook (const result_type &result) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< KeyListJob, void, std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< KeyListJob, void, std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, QString, GpgME::Error > >
typedef ThreadedJobMixin< KeyListJob, void, std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::KeyListJob
void | nextKey (const GpgME::Key &key)
void | result (const GpgME::KeyListResult &result, const std::vector< GpgME::Key > &keys=std::vector< GpgME::Key >(), const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< KeyListJob, void, std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::KeyListJob
| KeyListJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## addMode()

void QGpgMEKeyListJob::addMode | ( | GpgME::KeyListMode | mode | ) |

override virtual

Add a flag to the keylistmode used.

Implements QGpgME::KeyListJob.

## exec()

KeyListResult QGpgMEKeyListJob::exec | ( | const QStringList & | patterns,
|  | bool | secretOnly,
|  | std::vector< GpgME::Key > & | keys )

override virtual

Implements QGpgME::KeyListJob.

## resultHook()

void QGpgMEKeyListJob::resultHook | ( | const result_type & | result | ) |

override virtual

Reimplemented from QGpgME::_detail::ThreadedJobMixin< KeyListJob, void, std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, QString, GpgME::Error > >.

## start()

Error QGpgMEKeyListJob::start | ( | const QStringList & | patterns,
|  | bool | secretOnly )

override virtual

Starts the keylist operation. pattern is a list of patterns used to restrict the list of keys returned. Empty patterns are ignored. If pattern is empty or contains only empty strings, all keys are returned (however, the backend is free to truncate the result and should do so; when this happens, it will be reported by the reult object).

If secretOnly is true, only keys for which the secret key is also available are returned. Use this if you need to select a key for signing.

Implements QGpgME::KeyListJob.

The documentation for this class was generated from the following files:

- qgpgmekeylistjob.h
- qgpgmekeylistjob.cpp